services:
  nginx:
    volumes:
      - ./:/var/app/current

  symfony:
    build:
      target: dev
    volumes:
      - ./:/var/app/current
    ports:
      - 9003:9003

  mysql:
    image: mysql:5.7
    container_name: streamer_mysql
    restart: unless-stopped
    command: --default-authentication-plugin=mysql_native_password
    environment:
      - MYSQL_ROOT_PASSWORD=secret
      - MYSQL_DATABASE=symfony
    ports:
      - 3306:3306
    volumes:
      - ./var/storage/mysql-data:/var/lib/mysql
    networks:
      - symfony
